apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s.@apache.org
Subject svn commit: r1460349 - in /apr/apr-util/branches/1.5.x: ./ build/mkdir.sh
Date Sun, 24 Mar 2013 13:16:10 GMT
Author: sf
Date: Sun Mar 24 13:16:10 2013
New Revision: 1460349

URL: http://svn.apache.org/r1460349
Log:
Merge r1340286:

    Make mkdir.sh save to use in parallel builds:
    Don't fail if a formerly missing directory has been created by another process
    in the meantime.

Modified:
    apr/apr-util/branches/1.5.x/   (props changed)
    apr/apr-util/branches/1.5.x/build/mkdir.sh

Propchange: apr/apr-util/branches/1.5.x/
------------------------------------------------------------------------------
  Merged /apr/apr/trunk:r1340286

Modified: apr/apr-util/branches/1.5.x/build/mkdir.sh
URL: http://svn.apache.org/viewvc/apr/apr-util/branches/1.5.x/build/mkdir.sh?rev=1460349&r1=1460348&r2=1460349&view=diff
==============================================================================
--- apr/apr-util/branches/1.5.x/build/mkdir.sh (original)
+++ apr/apr-util/branches/1.5.x/build/mkdir.sh Sun Mar 24 13:16:10 2013
@@ -28,7 +28,13 @@ for file in ${1+"$@"} ; do 
         esac
         if test ! -d "$pathcomp"; then
             echo "mkdir $pathcomp" 1>&2
-            mkdir "$pathcomp" || errstatus=$?
+            thiserrstatus=0
+            mkdir "$pathcomp" || thiserrstatus=$?
+            # ignore errors due to races if a parallel mkdir.sh already
+            # created the dir
+            if test $thiserrstatus != 0 && test ! -d "$pathcomp" ; then
+                errstatus=$thiserrstatus
+            fi
         fi
         pathcomp="$pathcomp/"
     done



Mime
View raw message